[

  { /* access panel spec */

    blockid=access;
    custom=com.netscape.management.msgserv.nntp.NNTPAccess;

    localvar = 
    {
      .rest.title=[titled, "\uc5f0\uacb0 \uc81c\ud55c"];
      .rest.require.login="\uc5f0\uacb0 \uc2dc \uc0ac\uc6a9\uc790 \uc778\uc99d";
      .rest.gethostbyaddr="\ud638\uc2a4\ud2b8 \uc774\ub984\uc5d0 \ub300\ud55c IP \uc8fc\uc18c \ud655\uc778";
      .rest.hcl.enable="\ud638\uc2a4\ud2b8 \uc81c\ud55c \uc0ac\uc6a9 \uac00\ub2a5";
      .rest.hcl.table.perm.header="\uc0ac\uc6a9 \uad8c\ud55c";
      .rest.hcl.table.patt.header="\ud638\uc2a4\ud2b8 \ud328\ud134";
      .rest.hcl.perm.labels=["\ud5c8\uc6a9", "\uac70\ubd80"];
      .rest.hcl.perm.items=["+", "-"];

      .add.title="\uc5f0\uacb0 \uc81c\ud55c \ucd94\uac00"
      .edit.title="\uc5f0\uacb0 \uc81c\ud55c \ud3b8\uc9d1"

      .perm.items=
      [
        "allow_all",
        "deny_all"
      ];
      .perm.labels=
      [
        "Allow",
        "Deny"
      ];
    };

    content=
    [ /* access panel contents */

      { /* require auth on connect*/
        ctrl=togglepane;
        text=$.rest.require.login;
        val=$service.nntp.network.requirelogin.nsvalue;
      }, /* require auth on connect*/

      {
        ctrl=vstrut;
        size=$g.comp.space.sep;
      },

      { /* resolve host names */
        ctrl=togglepane;
        text=$.rest.gethostbyaddr;
        val=$service.nntp.performance.gethostbyaddr.nsvalue;
      }, /* resolve host names */

      {
        ctrl=vstrut;
        size=$g.comp.space.sep;
      },

      { /* host restrictions */
        ctrl=togglepane;
        text=$.rest.hcl.enable;
        val=$service.nntp.network.dohostcontrol.nsvalue;
        content=
        [ /* host restrictions contents */
          {
            ctrl=table;
            buttonsat=east;
            stdtable=false;
            showedit=true;
            addui=hostrest;
            addtext=$g.addbutton.text;
            edittext=$g.editbutton.text;
            deltext=$g.deletebutton.text;
            editui=hostrest;
            id=hostpatterntable;
            val=$service.nntp.network.hostcontrollist;
            columns=
            [
              {
                header=$.rest.hcl.table.perm.header;
                varname="perm";
              },
              {
                header=$.rest.hcl.table.patt.header;
                varname="patt";
              }
            ]
          }

        ] /* host restrictions contents */
      } /* host restrictions */

    ]; /* access panel contents */
  }, /* access panel spec */

  { /* add/edit restrictions dialog spec */

    blockid=hostrest;
    localvar=
    {
      .perm.items=
      [
        "allow_all",
        "deny_all"
      ];
      .perm.labels=
      [
        "\ud5c8\uc6a9",
        "\uac70\ubd80"
      ];
      .hosts.label.wrap.size=250;
      .addrest.label="\ud638\uc2a4\ud2b8 IP \uc8fc\uc18c\ub098 DNS \uc774\ub984\uc744 \uc785\ub825\ud558\uc2ed\uc2dc\uc624. \uc640\uc77c\ub4dc \uce74\ub4dc(\uc608: *.example.com)\ub97c \uc0ac\uc6a9\ud560 \uc218 \uc788\uc2b5\ub2c8\ub2e4. ";
    };

    content=
    [ /* start layout for dialog */

      { /* Switch board for allow/deny radiogroup and host patterns */
        ctrl=switchboard;
        switchalign=left;
        switchborder=true;
        switch=
        [ /* switch contents */

          { /* options for access */
            ctrl=choice;
            style=radio;
            items=$.perm.items;
            labels=$.perm.labels;
            val=$perm;
          } /* options for access */

        ]; /* switch contents */

        content=
        [ /* content controls of the switchboard */

          { /* pane containing label and textarea for host patterns */
              ctrl=pane;
              layout=[ybox];
              content=
              [ /* pane containing label and textarea for host patterns */

                { /* label */
                  ctrl=label;
                  text=$.addrest.label;
                  wrap=$.hosts.label.wrap.size;
                  label=hosts;
                  id=hostprompt;
                }, /* label */

                { /* comp. space */
                  ctrl=vstrut;
                  size=$g.comp.space;
                }, /* comp. space */

                {
                  label=hosts;
                  ctrl=text;
                  val=$patt;
                }

              ] /* pane containing label and textarea for host patterns */
          } /* pane containing label and textarea for host patterns */

        ]; /* content controls of the switchboard */

      } /* Switch board for allow/deny radiogroup and host patterns */
    ]; /* end layout for dialog */

  } /* add/edit restrictions dialog spec */

]

